import { Column } from '@true-directive/base';
import { FilterOperator, Filter } from '@true-directive/base';
import { GridState } from '@true-directive/base';
import { MenuComponent } from '../../controls/menu.component';
import { FilterBaseComponent } from './filter-base.component';
import { InternationalizationService } from '../../internationalization/internationalization.service';
export declare class FilterTextComponent extends FilterBaseComponent {
    protected intl: InternationalizationService;
    filter: Filter;
    rows: Array<any>;
    state: GridState;
    inputError: string;
    gridError: string;
    operators: FilterOperator[];
    input: any;
    grid: any;
    operatorMenu: MenuComponent;
    listColumns: Column[];
    init(): void;
    validate(): boolean;
    noText(): boolean;
    private getItems;
    _items: Array<any>;
    readonly items: Array<any>;
    toggleMode(e: any): void;
    constructor(intl: InternationalizationService);
}
